gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::RecentManagerError Class Reference

Exception class for Gtk::RecentManager errors. More...

Inheritance diagram for Gtk::RecentManagerError:
[legend]
Collaboration diagram for Gtk::RecentManagerError:
[legend]

## Public Types
enum | Code { NOT_FOUND, INVALID_URI, INVALID_ENCODING, NOT_REGISTERED, READ, WRITE, UNKNOWN }

## Public Member Functions
| RecentManagerError (Code error_code, const Glib::ustring& error_message)
| RecentManagerError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexceptoverride
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gtk::RecentManager errors.

## Member Enumeration Documentation

enum Gtk::RecentManagerError::Code

Enumerator
NOT_FOUND |
INVALID_URI |
INVALID_ENCODING |
NOT_REGISTERED |
READ |
WRITE |
UNKNOWN |

## Constructor & Destructor Documentation

Gtk::RecentManagerError::RecentManagerError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::RecentManagerError::RecentManagerError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gtk::RecentManagerError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gtkmm/recentmanager.h